Debian Bug report logs - #568897
debhelper: DEB_BUILD_OPTIONS=nocheck should prevent override_dh_auto_test rule to be run

version graph

Package: debhelper; Maintainer for debhelper is Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>; Source for debhelper is src:debhelper.

Reported by: Mike Hommey <mh+reportbug@glandium.org>

Date: Mon, 8 Feb 2010 16:51:01 UTC

Severity: wishlist

Tags: wontfix

Found in version debhelper/7.4.11

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#568897; Package debhelper. (Mon, 08 Feb 2010 16:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh+reportbug@glandium.org>:
New Bug report received and forwarded. Copy sent to Joey Hess <joeyh@debian.org>. (Mon, 08 Feb 2010 16:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh+reportbug@glandium.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debhelper: DEB_BUILD_OPTIONS=nocheck should prevent override_dh_auto_test rule to be run
Date: Mon, 08 Feb 2010 17:47:53 +0100
Package: debhelper
Version: 7.4.11
Severity: wishlist


Everything in the subject.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages debhelper depends on:
ii  binutils                      2.20-5     The GNU assembler, linker and bina
ii  dpkg-dev                      1.15.5.6   Debian package development tools
ii  file                          5.03-5+b1  Determines file type using "magic"
ii  html2text                     1.3.2a-14  advanced HTML to text converter
ii  man-db                        2.5.6-5    on-line manual pager
ii  perl                          5.10.1-9   Larry Wall's Practical Extraction 
ii  perl-base                     5.10.1-9   minimal Perl system
ii  po-debconf                    1.0.16     tool for managing templates file t

debhelper recommends no packages.

Versions of packages debhelper suggests:
pn  dh-make                       <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#568897; Package debhelper. (Tue, 09 Feb 2010 19:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. (Tue, 09 Feb 2010 19:42:04 GMT) Full text and rfc822 format available.

Message #10 received at 568897@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Mike Hommey <mh+reportbug@glandium.org>, 568897@bugs.debian.org
Subject: Re: Bug#568897: debhelper: DEB_BUILD_OPTIONS=nocheck should prevent override_dh_auto_test rule to be run
Date: Tue, 9 Feb 2010 14:38:34 -0500
[Message part 1 (text/plain, inline)]
Mike Hommey wrote:
> Everything in the subject.

If I did this, I would need to also make override_dh_strip to be
skipped when DEB_BUILD_OPTIONS=nostrip.

One reason to dislike this is it would mean redundant tests in
dh that'd have to be maintained in parallel with the tests in the
commands. Especially problimatic if dh sequence addons are used to
make it call third-party commands that use DEB_BUILD_OPTIONS, since
dh would not be able to handle them consistently.

Perhaps a better reason to dislike this is that it violates least
suprise when rules file refactoring. One can move anything into an
override target, even if it does not really match the overridden
debhelper command, and expect it to be run at the appropriate point.

Here's an example that would cause the package to FTBFS if nocheck
were tested.

override_dh_auto_test:
	# the test suite does not 100% pass at present,
	# but the output is useful documentation for users
	(dh_auto_test; echo $?) > test-results

override_dh_install:
	dh_install test-results /usr/share/doc/alien/

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#568897; Package debhelper. (Tue, 09 Feb 2010 19:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Tue, 09 Feb 2010 19:51:09 GMT) Full text and rfc822 format available.

Message #15 received at 568897@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Joey Hess <joeyh@debian.org>
Cc: 568897@bugs.debian.org
Subject: Re: Bug#568897: debhelper: DEB_BUILD_OPTIONS=nocheck should prevent override_dh_auto_test rule to be run
Date: Tue, 9 Feb 2010 20:48:00 +0100
On Tue, Feb 09, 2010 at 02:38:34PM -0500, Joey Hess wrote:
> Mike Hommey wrote:
> > Everything in the subject.
> 
> If I did this, I would need to also make override_dh_strip to be
> skipped when DEB_BUILD_OPTIONS=nostrip.
> 
> One reason to dislike this is it would mean redundant tests in
> dh that'd have to be maintained in parallel with the tests in the
> commands. Especially problimatic if dh sequence addons are used to
> make it call third-party commands that use DEB_BUILD_OPTIONS, since
> dh would not be able to handle them consistently.
> 
> Perhaps a better reason to dislike this is that it violates least
> suprise when rules file refactoring. One can move anything into an
> override target, even if it does not really match the overridden
> debhelper command, and expect it to be run at the appropriate point.
> 
> Here's an example that would cause the package to FTBFS if nocheck
> were tested.
> 
> override_dh_auto_test:
> 	# the test suite does not 100% pass at present,
> 	# but the output is useful documentation for users
> 	(dh_auto_test; echo $?) > test-results
> 
> override_dh_install:
> 	dh_install test-results /usr/share/doc/alien/

Agreed. You are free to mark the bug as wontfix or close it, whichever
you feel is more appropriate.

Mike




Added tag(s) wontfix. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Tue, 09 Feb 2010 20:03:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:31:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.